Bug 188376 - Review Request: perl-Test-Tester
Review Request: perl-Test-Tester
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On: 188378 188380
  Show dependency treegraph
Reported: 2006-04-08 15:19 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-10 16:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-08 15:19:20 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Tester/perl-Test-Tester.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Tester-0.103-1.src.rpm
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.
Comment 1 Jason Tibbitts 2006-04-09 13:53:30 EDT
It looks like the dependencies are backwards on this; it's a requirement for
perl-Test-Deep, not the other way around.  So I'll just review all of them.
Comment 2 Jason Tibbitts 2006-04-09 14:25:15 EDT
Builds fine in mock (development branch) and rpmlint is silent.

The package says it's under the same license as perl, but then includes the file
"ARTISTIC" and makes no mention of the GPL.  Odd; upstream should be whacked,
but not a blocker.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible and license text is included in the package.
* source files match upstream:
   31d58158d2a6cdb7ad9d9fe3e0aed86e  Test-Tester-0.103.tar.gz
   31d58158d2a6cdb7ad9d9fe3e0aed86e  Test-Tester-0.103.tar.gz-srpm
* package builds in mock.
* BuildRequires are proper.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %test is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_vendorlib}/Test, which will probably also be owned by
any module under the Test:: namespace.  However, none of the dependencies create
this directory so there is no alternative but for this package to own it.

Comment 3 Steven Pritchard 2006-04-10 16:16:44 EDT
Oops, sorry about the order of the dependencies.

Imported into CVS and builds requested.

Note You need to log in before you can comment on or make changes to this bug.